complexType "MarginCallResult"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 elements
Defined: | globally in fpml-collateral-processes-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | (variationMargin, segregatedIndependentAmount?) | segregatedIndependentAmount
</...>

Content Model Elements (3):

  segregatedIndependentAmount (in marginCallResult), segregatedIndependentAmount (in marginCallResult), | variationMargin (in marginCallResult)

All Direct / Indirect Based Elements (1):

  marginCallResult

Known Usage Locations

- As direct type of elements (1):
  marginCallResult

Annotation
This composite type is an aggregation of the data supplied in the Margin Requirement composite type. It allows for the sum of the deliver and return requirements in to a single Margin Call Amount for Segregated Independent Amount and/or Variation Margin..
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="MarginCallResult"> <xsd:choice> <xsd:sequence> <xsd:element name="variationMargin" type="VariationResult"/> <xsd:element minOccurs="0" name="segregatedIndependentAmount" type="VariationResult"/> </xsd:sequence> <xsd:element name="segregatedIndependentAmount" type="VariationResult"/> </xsd:choice> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
segregatedIndependentAmount

  Type: | VariationResult, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="segregatedIndependentAmount" type="VariationResult"/>

segregatedIndependentAmount

  Type: | VariationResult, complex content

  summary of the segregated independent amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="segregatedIndependentAmount" type="VariationResult"/>

variationMargin

  Type: | VariationResult, complex content

  summary of the variation margin.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="variationMargin" type="VariationResult"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.